Subject: linux-next: manual merge of the arm-soc tree with the staging tree

From: [email-masked] (Greg KH)
Date: Wed, 16 May 2012 06:10:21 -0700

On Wed, May 16, 2012 at 01:03:34PM +0000, Arnd Bergmann wrote:
> On Wednesday 16 May 2012, Greg KH wrote:
> > On Wed, May 16, 2012 at 10:54:15AM +0000, Arnd Bergmann wrote:
> > > On Wednesday 16 May 2012, Stephen Rothwell wrote:
> > > > Today's linux-next merge of the arm-soc tree got a conflict in
> > > > arch/arm/boot/dts/at91sam9g20.dtsi between commit 7cb2e629a240 ("ARM:
> > > > AT91: Add ADC driver to the at91sam9g20 dtsi") from the staging tree and
> > > > commit 5b6089cb6f28 ("ARM: at91: add at91sam9260 DT support") from the
> > > > arm-soc tree.
> > > > 
> > > > So, I didn't know what to do with this, so I used the arm-soc version of
> > > > this file (effectively throwing away the staging tree change).  Hints,
> > > > anyone?
> > > 
> > > I suspect the addition of the adc node should just go into the
> > > at91sam9260.dtsi file.
> > 
> > So does that mean that the staging tree version is correct?  Or that
> > someone needs to send me a fixup patch here?
> 
> The staging tree version adds contents to at91sam9g20.dtsi, and the context
> gets moved to at91sam9260.dtsi in arm-soc. If we want to resolve it now,
> I think the best way is to add the change to at91sam9260.dtsi in arm-soc
> and let you drop that part in staging. There are no hard dependencies
> since this is new code and it the driver is still correct without the
> change, it simply won't find the device.

Ok, so if we leave it as-is for now, we can resolve it after 3.5-rc1 is
out and we see what branch ended up "winning"?  :)

greg k-h